#include <stdio.h>

int main()

{
	int t,ai,bi;
	scanf("%d",&t);
	int br=0;
	for (br=0;br<=t;br++){
		scanf("%d%d",&ai,&bi);
		int d=3;
		while ((ai%d)>0){
			d+=2;
		}
		int n=1;
		int kol;
		if (ai%d==0){
			while (ai%d==0){
				int xor=ai^kol;
				kol=d*n;
				n=n*d;
				ai/=d;
				xor=ai^kol;
				if(xor==bi){
					printf("%d %d\n",kol,ai);
				}
			}
			    int xor=ai^kol;
			    if ((xor>bi)||(xor<bi))
			        printf("-1");
			}
			}
	return 0;
}